<? session_start(); 
include("../header_subnivel1_agente_aduanal.php");
require_once("../comun/conexion3.php");
require_once("../comun/conex_ver.php");
require_once("../comun/funciones.php");
?>
<?php

//funcion para subir archivos
	function upload($dir, $archivo_temp, $archivo, $wmax, $hmax){
global $up;
		//Directorio al que vamos a subir nuestro archivo	
		// imagen del agente aduanal
		con_impo();
		$datos_aa = data("SELECT A.*,C.nombre_contacto,C.telefono_contacto FROM `agentes_aduanales` A 
		INNER JOIN contactos_agentes_aduanales C
		on A.patente=C.patente and A.id=C.idaa and A.registro = 'VERACRUZ' and C.email_contacto LIKE '%".$_SESSION[email]."%' ");
		 
		$id_agente_aduanal  = $datos_aa[id]; // AA
		
		$subir = $dir.$id_agente_aduanal.'-'.$archivo;

		//Comprobamos que la imagen tiene el ancho correcto
		$imagen = getimagesize($archivo_temp);

		$ancho = $imagen['0'];
		$alto = $imagen['1'];
		$tipo = $imagen['2'];

		//if($ancho == $wmax && $alto == $hmax){
		if($ancho <= $wmax && $alto <= $hmax){	
			//Comprobamos que tiene el formato correcto (.jpg)
		
			if($imagen['2'] == 2){

				//Si todo está correcto, subimos el archivo
				
				move_uploaded_file ($archivo_temp, $subir);
				//chmod ($subir, 0777) or die("No se ha podido crear el directorio $subir");
				//global $up;
				$up = 'si';
				
			
				mysqli_query("update agentes_aduanales set imagen = '".$subir."' where id = '".$id_agente_aduanal."'");
                con_ver();
        

			}else{echo "<br>Formato de imagen no válido, debe ser .jpg";}
		}else{
			$xtipo[3]='png';$xtipo[1]='gif';$xtipo[2]='jpg';
			echo "Ancho: ".$ancho.' px<br>';
			echo "Alto: ".$alto.' px<br>';
			echo "Tipo de imagen: ".$xtipo[$tipo].'<br>';
			echo "<br>Tama&ntilde;o de imagen no válido.";
		}
	}

global $up;
//echo 'archivo '.$_FILES["avatar"]["tmp_name"].'<BR>';
 
upload('fotos/',$_FILES["avatar"]["tmp_name"],$_FILES["avatar"]["name"],275,80);
 

?>

<? if($up=='si'){?>
Logotipo subido exitosamente:
<? //echo $_FILES["avatar"]["name"];?>
<br /><br /><img src="fotos/<?=$_FILES["avatar"]["name"]?>" />
<? } ?>

<div align="left">
   <? include("../pie1.php");?>
</div>   